Package com.sun.jna.platform.win32

## Class WinUser.RAWINPUTDEVICELIST

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.WinUser.RAWINPUTDEVICELIST

Enclosing interface:
  WinUser

    @FieldOrder({"hDevice","dwType"})
    public static class WinUser.RAWINPUTDEVICELIST
    extends Structure

Contains information about a raw input device.

See Also:

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `dwType`
`WinNT.HANDLE` `hDevice`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`RAWINPUTDEVICELIST()`
`RAWINPUTDEVICELIST​(Pointer p)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `sizeof()`
`java.lang.String` `toString()` If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### hDevice

    public WinNT.HANDLE hDevice

#### dwType

    public int dwType

### Constructor Detail

#### RAWINPUTDEVICELIST

    public RAWINPUTDEVICELIST()

#### RAWINPUTDEVICELIST

    public RAWINPUTDEVICELIST​(Pointer p)

### Method Detail

#### sizeof

    public int sizeof()

#### toString

    public java.lang.String toString()

Description copied from class: `Structure`
If `jna.dump_memory` is true, will include a native memory dump of the Structure's backing memory.

Overrides:
  `toString` in class `Structure`
Returns:
  String representation of this object.